!
subroutine no_major_plot (method,head   &
     &    ,conv,niter,nx,ny,np,tcc  &
     &    ,clean,resid,poids)
  use clean_def
  use image_def
  !---------------------------------------------------------
  ! @ public
  !
  ! MAPPING 
  !   Do not Plot result of Major Cycle
  !---------------------------------------------------------
  type (clean_par), intent(inout) :: method
  type (gildas), intent(in) :: head
  !
  logical, intent(in) ::  conv        ! Convergence status
  integer, intent(in) ::  niter         ! Number of iterations
  integer, intent(in) ::  nx            ! X size
  integer, intent(in) ::  ny            ! Y size
  integer, intent(in) ::  np            ! Number of planes
  real, intent(in) :: clean(nx,ny)      ! Clean image
  real, intent(in) :: resid(nx,ny)      ! Residuals
  real, intent(in) :: poids(nx,ny)         ! Weight image
  type (cct_par), intent(in) :: tcc(niter)
  !
  return
end subroutine no_major_plot
!
subroutine no_next_flux(niter,cum)
  !---------------------------------------------------------------------
  ! @ public
  !
  ! MAPPING
  !   Do not draw in the <FLUX window
  !---------------------------------------------------------------------
  integer, intent(in) :: niter
  real, intent(in) :: cum
end subroutine no_next_flux
!
!
subroutine no_remask(method,head,nl,error)
  use clean_def
  use image_def
  !---------------------------------------------------------------------
  ! @ public
  !
  ! MAPPING
  !   Support for Clean
  !   Re-compute mask in Major Cycles
  !---------------------------------------------------------------------
  type (clean_par), intent(in) :: method
  type (gildas), intent(in) :: head
  integer, intent(in) :: nl
  logical, intent(in) :: error
  !
end subroutine no_remask
!
