      PROGRAM ORBIT_MAIN
* Local variables
      INTEGER STATUS,SIC_GET_FOREIGN,SIC_PURGE
      INTEGER NL,NF,LENC
      CHARACTER NAME*12,LOGFILE*80,INIT*80
      CHARACTER LINE*80, FOREIGN*80
      LOGICAL EXIST,ERROR
      CHARACTER BKSL*1
      EXTERNAL ORBIT_FUNCTION
*
* Build the name of the log file and purge older versions
      NAME = 'orbit'
      CALL SIC_PARSEF (NAME,LOGFILE,'GAG_LOG:','.log')
      STATUS = SIC_PURGE (LOGFILE,2)
      IF (MOD(STATUS,2).EQ.0) THEN
         WRITE(6,'(1X,A,A)') 'Error purging log file ',LOGFILE
         CALL SYSEXI(STATUS)
      ENDIF
*
* Initialize the command monitor, its prompt and log file
* Initialization of the message file MUST happen after the call to 
* SIC_OPT to ensure that GILDAS verified whether the .gag directory
* has been created
      NAME = 'ORBIT'
      CALL SIC_OPT(NAME,LOGFILE,.TRUE.)
*
* Get command and Unix-like options
      STATUS = SIC_GET_FOREIGN(FOREIGN,NF) 
      IF (MOD(STATUS,2).EQ.0) THEN
         WRITE(6,'(1X,A,A)') 'Error retrieving command line argument'
         CALL SYSEXI(STATUS)
      ENDIF
*
* Then load the languages
      CALL LOAD_GREG ('INTERACTIVE')
      CALL LOAD_GREG ('INTERACTIVE GREG3')

      CALL INIT_ORBIT (ORBIT_FUNCTION)
*
* Default initialisations
      BKSL=CHAR(92)
      LINE = 'SIC'//BKSL//'SIC EXTENSION .orbit .greg'
      ERROR = .FALSE.
      CALL EXEC_COMMAND(LINE,ERROR)
      LINE = 'SIC'//BKSL//'SIC GREG2'//BKSL//' OFF'
      CALL EXEC_COMMAND(LINE,ERROR)
* Execute default initialisation macro
      LINE = '@ define.orbit'
      CALL EXEC_PROGRAM(LINE)
*
* User dependent initialisations
      NAME = 'init'
      CALL SIC_PARSEF (NAME,INIT,'GAG_INIT:','.orbit')
      NL = LENC(INIT)
      INQUIRE (FILE=INIT(1:NL),EXIST=EXIST)
      IF (EXIST) THEN
         LINE = '@ "'//INIT(1:NL)//'"'
         CALL EXEC_PROGRAM(LINE)
      ENDIF
* Start the real work
      IF (NF.NE.0) THEN
         CALL PLAY_PROGRAM(FOREIGN(1:NF))
      ELSE
         CALL ENTER_PROGRAM
      ENDIF
* Exit processing
      CALL EXIT_CLEAR                    ! Clear the graphic screen
      END PROGRAM ORBIT_MAIN
*<FF>*
      FUNCTION ORBIT_FUNCTION(ACTION)
      LOGICAL ORBIT_FUNCTION
      CHARACTER*(*) ACTION
*
      ORBIT_FUNCTION = .FALSE.
      END
