int   cellule();
/******************************************************************************/
int   connex( char *mask, int n0, int id, int jd)
/******************************************************************************/
{
int i, j, m, mb = 100, nbre, arret;

/* Initialisation */
mask[n0*id+jd] = 2;

/* Balayages successifs (2 mb balayages au plus) */
for (m=0; m<mb; m++)   
  {/* Balayage direct */
  arret = 0;
  for (i=0; i<n0; i++) 
  for (j=0; j<n0; j++) arret += cellule(mask,n0,i,j); 

  if (arret == 0)  break;
  else  
    {/* balayage inverse */
    arret = 0;
    for (i=(n0-1); i>=0; i--)
    for (j=(n0-1); j>=0; j--) arret += cellule(mask,n0,i,j);
    if (arret == 0) break;
    }   
  }

/* Nbre de pixels dans la partie connexe de mask identifi\'ee par des 2 
*/
nbre = 0;
for (i=0; i<n0;i++)
for (j=0; j<n0;j++) if (mask[n0*i+j] == 2)  ++nbre;

return(nbre);
}

/******************************************************************************/
int cellule( char *mask, int n0, int ic, int jc)
/******************************************************************************/
{
int i, j, i0, i00, i1, i11, j0, j00, j1, j11;
int ma = mask[n0*ic+jc], ind = 0;

if (ma == 0) return(0);

i0 = ic - 1; i00 = ( i0 < 0 ? 0 : i0 );
i1 = ic + 1; i11 = ( i1 < n0 ? i1 : n0-1 );
j0 = jc - 1; j00 = ( j0 < 0 ? 0 : j0 );
j1 = jc + 1; j11 = ( j1 < n0 ? j1 : n0-1 );

if (ma == 1)
  {
  for (i=i00; i<=i11; i++)
  for (j=j00; j<=j11; j++)
    {
    if (mask[n0*i+j] == 2) {ind = 1; i = i1; break;} 
    }
  }

if (ma == 2)
  {
  for (i=i00; i<=i11; i++)
  for (j=j00; j<=j11; j++)
    {
    if (mask[n0*i+j] == 1) {ind = 1; i = i1; break;} 
    }
  }

if (ind == 1)
  {
  for (i=i00; i<=i11; i++)
  for (j=j00; j<=j11; j++) if (mask[n0*i+j] == 1) mask[n0*i+j] = 2;
  }

return(ind);
}

/******************************************************************************/
int cell( int *D, char *mask, int n0, char *motif, int ii, int jj, int ic, int jc)
/******************************************************************************/
{
int i, j, i0, i00, i1, i11, j0, j00, j1, j11, iii;
int flag, n0s2 = n0/2;

i0 = ic - ii; i00 = ( i0 < 0  ?  0 : i0 );
i1 = ic + ii; i11 = ( i1 < n0 ? i1 : n0-1 );
j0 = jc - jj; j00 = ( j0 < 0  ?  0 : j0 );
j1 = jc + jj; j11 = ( j1 < n0 ? j1 : n0-1 );

flag = 1;
for (i=i00; i<=i11 ;i++)
  {
  iii = i-i0;
  for (j=j00; j<=j11 ;j++)
    {
    if ((motif[n0s2*iii+(j-j0)] == 2) && (mask[n0*i+j] != 2)) 
       {flag = 0; i = i1; break;}
    }
  }
if (flag == 1)
  {
  for (i=i00; i<=i11 ;i++)
    {
    iii = i-i0;
    for (j=j00; j<=j11 ;j++) 
	if (motif[n0s2*iii+(j-j0)] != 0) D[n0*i+j] = 1.;
    }
  }

return(flag);
}
/******************************************************************************/
